
Ruby - Bug #6197

readline module doesn't work with ansi code

03/24/2012 09:36 PM - keysen (Jérémy Carlier)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 1.9.3 *** Backport:  

Description

Dear ruby community,

When escape is set no new line, it rewrite same line.

Have a look here : http://img11.hostingpics.net/pics/790780Sanstitre.png

This bug was published here : https://github.com/pry/pry/issues/493

History

#1 - 03/24/2012 09:56 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Third Party's Issue

The upstream of readline is not here.

And if you're using screen, try without it.

#2 - 03/31/2012 03:48 AM - keysen (Jérémy Carlier)

nobu (Nobuyoshi Nakada) wrote:

The upstream of readline is not here.

And if you're using screen, try without it.

 Have you up this bug where is upstream of readline was ?

I haven't use a screen, and the bug is real.
